Name:             rush
Version:          2.3
Release:          2%{?dist}
Summary:          GNU Restricted User Shell
License:          GPL-3.0-or-later
URL:              https://www.gnu.org/software/rush/
Source0:          http://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
BuildRequires:    gcc
BuildRequires:    make

# Upstream patch to replace gethostbyname with getaddrinfo
# https://git.gnu.org.ua/rush.git/commit/?id=0afb6772f8e60e3c4b5ab998f3bc85070f7b5a89
Patch0:           rush-getaddrinfo.patch

%description
GNU Rush is a Restricted User Shell, designed for sites providing
limited remote access to their resources, such as, for example,
savannah.gnu.org. Its main program, rush, is configured as a user
login shell for users that are allowed only remote access to the
machine. Using a flexible configuration file, GNU Rush gives
administrator complete control over the command lines that users
execute, and allows to tune the usage of system resources, such as
virtual memory, CPU time, etc. on a per-user basis.

%prep
%autosetup -p1

%build
export CFLAGS="-D_GNU_SOURCE $RPM_OPT_FLAGS"
%configure
%make_build
%install
%make_install
rm -rf %{buildroot}%{_infodir}/dir
%find_lang %{name}

%files -f %{name}.lang
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/rush.rc
%{_bindir}/rushlast
%{_bindir}/rush-po
%{_bindir}/rushwho
%attr(4755,root,root) %{_sbindir}/rush
%{_mandir}/man8/rush.8*
%{_mandir}/man1/rush-po.1*
%{_mandir}/man1/rushlast.1*
%{_mandir}/man1/rushwho.1*
%{_mandir}/man5/rush.rc.5*
%{_infodir}/rush.info*

%changelog
* Mon Nov 27 2023 Stephane Thiell <sthiell@stanford.edu> - 2.3-2
- Add upstream patch to replace gethostbyname with getaddrinfo

* Sat Oct 21 2023 Stephane Thiell <sthiell@stanford.edu> - 2.3-1
- Version 2.3
